Commit 53b12eef authored by Phillip Webb's avatar Phillip Webb

Merge branch '2.1.x'

parents cada732f c7746fba
...@@ -30,7 +30,16 @@ curl \ ...@@ -30,7 +30,16 @@ curl \
-d "{\"status\": \"staged\", \"sourceRepo\": \"libs-staging-local\", \"targetRepo\": \"${targetRepo}\"}" \ -d "{\"status\": \"staged\", \"sourceRepo\": \"libs-staging-local\", \"targetRepo\": \"${targetRepo}\"}" \
-f \ -f \
-X \ -X \
POST "${ARTIFACTORY_SERVER}/api/build/promote/${buildName}/${buildNumber}" > /dev/null || { echo "Failed to promote" >&2; exit 1; } POST "${ARTIFACTORY_SERVER}/api/build/promote/${buildName}/${buildNumber}" > /dev/null || {
result=$( curl -s -u ${ARTIFACTORY_USERNAME}:${ARTIFACTORY_PASSWORD} -f "${ARTIFACTORY_SERVER}/api/build/${buildName}/${buildNumber}" )
resultRepo=$( echo $result | jq -r '.buildInfo.statuses[0].repository' )
if [[ $resultRepo = "libs-release-local" ]]; then
echo "Already promoted"
else
echo "Failed to promote" >&2
exit 1
fi
}
if [[ $RELEASE_TYPE = "RELEASE" ]]; then if [[ $RELEASE_TYPE = "RELEASE" ]]; then
curl \ curl \
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment